## r-cran-spatstat.geom 1.65

=== DESCRIPTION ===
Package: spatstat.geom
Version: 1.65-5
Date: 2021-01-12
Title: Geometrical Functionality of the 'spatstat' Package
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz"),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk"),
	     person("Tilman", "Davies",
	            role = "ctb"),
	     person("Ute", "Hahn",
	            role = "ctb"),
	     person("Abdollah", "Jalilian", 
	            role = "ctb"),
	     person("Suman", "Rakshit",
	            role = "ctb"),
	     person("Dominic", "Schuhmacher",
	            role = "ctb"),
	     person("Rasmus", "Plenge Waagepetersen",
	            role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 1.6-1), stats, graphics,
        grDevices, utils, methods
Imports: spatstat.utils (>= 1.18-0), spatstat.sparse, deldir (>=
        0.0-21), polyclip (>= 1.10-0)
Suggests: spatstat.core, spatstat.linnet, maptools (>= 0.9-9), spatial,
        fftwtools (>= 0.9-8)
Description: This is a subset of the original 'spatstat' package,
	     containing the user-level code from 'spatstat'
	     which performs geometrical operations, except for the
	     geometry of linear networks.
License: GPL (>= 2)
URL: http://spatstat.org/
LazyData: true
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.geom/issues
Packaged: 2021-01-12 10:41:35 UTC; adrian
Author: Adrian Baddeley [aut, cre],
  Rolf Turner [aut],
  Ege Rubak [aut],
  Tilman Davies [ctb],
  Ute Hahn [ctb],
  Abdollah Jalilian [ctb],
  Suman Rakshit [ctb],
  Dominic Schuhmacher [ctb],
  Rasmus Plenge Waagepetersen [ctb]
Repository: CRAN
Date/Publication: 2021-01-15 13:40:06 UTC

## r-cran-spatstat.geom 1.65-5

=== debian/changelog ===
r-cran-spatstat.geom (1.65-5-2) unstable; urgency=medium

  * Add Jens Oehlschlagel to debian/copyright
  * debhelper-compat 13 (routine-update)
  * Fix permissions

 -- Andreas Tille <tille@debian.org>  Sun, 07 Feb 2021 11:52:33 +0100

r-cran-spatstat.geom (1.65-5-1) unstable; urgency=medium

  * Initial release (closes: #981695)

 -- Andreas Tille <tille@debian.org>  Tue, 02 Feb 2021 23:34:27 +0100

=== debian/control ===
Source: r-cran-spatstat.geom
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data (>= 1.6-1),
               r-cran-spatstat.utils (>= 1.18-0),
               r-cran-deldir,
               r-cran-polyclip (>= 1.10-0),
               r-cran-spatstat.sparse
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
Homepage: https://cran.r-project.org/package=spatstat.geom
Rules-Requires-Root: no

Package: r-cran-spatstat.geom
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R geometrical functionality of the 'spatstat' package
 This is a subset of the original 'spatstat' package, containing the user-
 level code from 'spatstat' which performs geometrical operations, except
 for the geometry of linear networks.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/spatstat.geom_([-\d.]*)\.tar\.gz

## r-cran-spatstat.geom 2.3

=== DESCRIPTION ===
Package: spatstat.geom
Version: 2.3-2
Date: 2022-02-12
Title: Geometrical Functionality of the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre"),
       	            email = "Adrian.Baddeley@curtin.edu.au"),
	     person("Rolf", "Turner", 
                    role = "aut",
 	            email="r.turner@auckland.ac.nz"),
	     person("Ege",   "Rubak", 
                    role = "aut",
		    email = "rubak@math.aau.dk"),
	     person("Tilman",    "Davies",        role = "ctb"),
	     person("Ute",       "Hahn",          role = "ctb"),
	     person("Abdollah",  "Jalilian",      role = "ctb"),
 	     person("Sebastian", "Meyer",         role = "ctb"),
	     person("Suman",     "Rakshit",       role = "ctb"),
	     person("Dominic",   "Schuhmacher",   role = "ctb"),
	     person("Rasmus",    "Waagepetersen", role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 2.0-0), stats, graphics,
        grDevices, utils, methods
Imports: spatstat.utils (>= 2.2-0), deldir (>= 1.0-2), polyclip (>=
        1.10-0)
Suggests: spatstat.core, spatstat.random, spatstat.linnet, maptools (>=
        0.9-9), spatial, fftwtools (>= 0.9-8), spatstat (>= 2.0-0)
Description: Defines spatial data types and supports geometrical operations
	     on them. Data types include point patterns, windows (domains),
	     pixel images, line segment patterns, tessellations and hyperframes.
	     Capabilities include creation and manipulation of data
	     (using command line or graphical interaction),
	     plotting, geometrical operations (rotation, shift, rescale,
	     affine transformation), convex hull, discretisation and
	     pixellation, Dirichlet tessellation, Delaunay triangulation,
	     pairwise distances, nearest-neighbour distances,
	     distance transform, morphological operations
	     (erosion, dilation, closing, opening), quadrat counting,
	     geometrical measurement, geometrical covariance,
	     colour maps, calculus on spatial domains,
	     Gaussian blur, level sets of images, transects of images,
	     intersections between objects, minimum distance matching.
	     (Excludes spatial data on a network, which are supported by
	     the package 'spatstat.linnet'.)
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.geom/issues
Packaged: 2022-02-12 06:23:01 UTC; adrian
Author: Adrian Baddeley [aut, cre],
  Rolf Turner [aut],
  Ege Rubak [aut],
  Tilman Davies [ctb],
  Ute Hahn [ctb],
  Abdollah Jalilian [ctb],
  Sebastian Meyer [ctb],
  Suman Rakshit [ctb],
  Dominic Schuhmacher [ctb],
  Rasmus Waagepetersen [ctb]
Repository: CRAN
Date/Publication: 2022-02-12 10:20:02 UTC

## r-cran-spatstat.geom 2.3-2

=== debian/changelog ===
r-cran-spatstat.geom (2.3-2-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 16 Feb 2022 11:40:19 +0100

r-cran-spatstat.geom (2.3-1-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Add missing build dependency on dh addon.

 -- Andreas Tille <tille@debian.org>  Mon, 03 Jan 2022 20:43:59 +0100

r-cran-spatstat.geom (2.3-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-polyclip.

 -- Andreas Tille <tille@debian.org>  Sun, 31 Oct 2021 06:43:36 +0100

r-cran-spatstat.geom (2.2-2-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 17 Aug 2021 18:33:42 +0200

=== debian/control ===
--- 
+++ 
@@ -7,12 +7,11 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 1.6-1),
-               r-cran-spatstat.utils (>= 1.18-0),
-               r-cran-deldir,
-               r-cran-polyclip (>= 1.10-0),
-               r-cran-spatstat.sparse
-Standards-Version: 4.5.1
+               r-cran-spatstat.data (>= 2.0-0),
+               r-cran-spatstat.utils (>= 2.2-0),
+               r-cran-deldir (>= 1.0-2),
+               r-cran-polyclip (>= 1.10-0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
 Homepage: https://cran.r-project.org/package=spatstat.geom

## r-cran-spatstat.geom 2.4-0

=== debian/changelog ===
r-cran-spatstat.geom (2.4-0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 25 May 2022 11:34:49 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,13 @@
 Source: r-cran-spatstat.geom
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
+Homepage: https://cran.r-project.org/package=spatstat.geom
+Standards-Version: 4.6.1
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
@@ -11,11 +15,7 @@
                r-cran-spatstat.utils (>= 2.2-0),
                r-cran-deldir (>= 1.0-2),
                r-cran-polyclip (>= 1.10-0)
-Standards-Version: 4.6.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
-Homepage: https://cran.r-project.org/package=spatstat.geom
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-spatstat.geom
 Architecture: any

## r-cran-spatstat.geom 3.0

=== DESCRIPTION ===
Package: spatstat.geom
Version: 3.0-6
Date: 2023-01-30
Title: Geometrical Functionality of the 'spatstat' Family
Authors@R: c(person("Adrian", "Baddeley", 
                    role = c("aut", "cre", "cph"),
       	            email = "Adrian.Baddeley@curtin.edu.au",
		    comment = c(ORCID="0000-0001-9499-8382")),
	     person("Rolf", "Turner", 
                    role = c("aut", "cph"),
 	            email="r.turner@auckland.ac.nz",
		    comment=c(ORCID="0000-0001-5521-5218")),
	     person("Ege",   "Rubak", 
                    role = c("aut", "cph"),
		    email = "rubak@math.aau.dk",
		    comment=c(ORCID="0000-0002-6675-533X")),
	     person("Tilman",    "Davies",        role = "ctb"),
	     person("Ute",       "Hahn",          role = "ctb"),
	     person("Abdollah",  "Jalilian",      role = "ctb"),
 	     person("Greg",      "McSwiggan",     role = c("ctb", "cph")),
 	     person("Sebastian", "Meyer",         role = c("ctb", "cph")),
	     person("Jens",      "Oehlschlaegel", role = c("ctb", "cph")),
	     person("Suman",     "Rakshit",       role = "ctb"),
	     person("Dominic",   "Schuhmacher",   role = "ctb"),
	     person("Rasmus",    "Waagepetersen", role = "ctb"))
Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
Depends: R (>= 3.5.0), spatstat.data (>= 3.0), stats, graphics,
        grDevices, utils, methods
Imports: spatstat.utils (>= 3.0), deldir (>= 1.0-2), polyclip (>=
        1.10-0)
Suggests: spatstat.random, spatstat.explore, spatstat.model,
        spatstat.linnet, maptools (>= 0.9-9), spatial, fftwtools (>=
        0.9-8), spatstat (>= 2.0-0)
Additional_repositories: https://spatstat.r-universe.dev
Description: Defines spatial data types and supports geometrical operations
	     on them. Data types include point patterns, windows (domains),
	     pixel images, line segment patterns, tessellations and hyperframes.
	     Capabilities include creation and manipulation of data
	     (using command line or graphical interaction),
	     plotting, geometrical operations (rotation, shift, rescale,
	     affine transformation), convex hull, discretisation and
	     pixellation, Dirichlet tessellation, Delaunay triangulation,
	     pairwise distances, nearest-neighbour distances,
	     distance transform, morphological operations
	     (erosion, dilation, closing, opening), quadrat counting,
	     geometrical measurement, geometrical covariance,
	     colour maps, calculus on spatial domains,
	     Gaussian blur, level sets of images, transects of images,
	     intersections between objects, minimum distance matching.
	     (Excludes spatial data on a network, which are supported by
	     the package 'spatstat.linnet'.)
License: GPL (>= 2)
URL: http://spatstat.org/
NeedsCompilation: yes
ByteCompile: true
BugReports: https://github.com/spatstat/spatstat.geom/issues
Packaged: 2023-01-30 00:51:47 UTC; adrian
Author: Adrian Baddeley [aut, cre, cph]
    (<https://orcid.org/0000-0001-9499-8382>),
  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>),
  Tilman Davies [ctb],
  Ute Hahn [ctb],
  Abdollah Jalilian [ctb],
  Greg McSwiggan [ctb, cph],
  Sebastian Meyer [ctb, cph],
  Jens Oehlschlaegel [ctb, cph],
  Suman Rakshit [ctb],
  Dominic Schuhmacher [ctb],
  Rasmus Waagepetersen [ctb]
Repository: CRAN
Date/Publication: 2023-01-30 10:20:02 UTC

## r-cran-spatstat.geom 3.0-3

=== debian/changelog ===
r-cran-spatstat.geom (3.0-3-1) unstable; urgency=medium

  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 02 Nov 2022 14:37:13 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,8 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 2.0-0),
-               r-cran-spatstat.utils (>= 2.2-0),
+               r-cran-spatstat.data (>= 3.0),
+               r-cran-spatstat.utils (>= 3.0),
                r-cran-deldir (>= 1.0-2),
                r-cran-polyclip (>= 1.10-0)
 Testsuite: autopkgtest-pkg-r

## r-cran-spatstat.geom 3.0-6

=== debian/changelog ===
r-cran-spatstat.geom (3.0-6-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Wed, 01 Feb 2023 11:57:11 +0100

r-cran-spatstat.geom (3.0-5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 27 Jan 2023 09:16:01 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
 Homepage: https://cran.r-project.org/package=spatstat.geom
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,

## r-cran-spatstat.geom 3.2

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.geom
-Version: 3.0-6
-Date: 2023-01-30
+Version: 3.2-4
+Date: 2023-07-20
 Title: Geometrical Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -26,12 +26,11 @@
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
 Depends: R (>= 3.5.0), spatstat.data (>= 3.0), stats, graphics,
         grDevices, utils, methods
-Imports: spatstat.utils (>= 3.0), deldir (>= 1.0-2), polyclip (>=
+Imports: spatstat.utils (>= 3.0-2), deldir (>= 1.0-2), polyclip (>=
         1.10-0)
 Suggests: spatstat.random, spatstat.explore, spatstat.model,
         spatstat.linnet, maptools (>= 0.9-9), spatial, fftwtools (>=
-        0.9-8), spatstat (>= 2.0-0)
-Additional_repositories: https://spatstat.r-universe.dev
+        0.9-8), spatstat (>= 3.0)
 Description: Defines spatial data types and supports geometrical operations
 	     on them. Data types include point patterns, windows (domains),
 	     pixel images, line segment patterns, tessellations and hyperframes.
@@ -54,7 +53,7 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.geom/issues
-Packaged: 2023-01-30 00:51:47 UTC; adrian
+Packaged: 2023-07-20 05:34:58 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
@@ -69,4 +68,4 @@
   Dominic Schuhmacher [ctb],
   Rasmus Waagepetersen [ctb]
 Repository: CRAN
-Date/Publication: 2023-01-30 10:20:02 UTC
+Date/Publication: 2023-07-20 06:40:02 UTC

## r-cran-spatstat.geom 3.2-4

=== debian/changelog ===
r-cran-spatstat.geom (3.2-4-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Fri, 21 Jul 2023 21:03:54 +0200

r-cran-spatstat.geom (3.2-1-1) unstable; urgency=medium

  * New upstream version
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 27 Jun 2023 16:34:45 +0200

## r-cran-spatstat.geom 3.2-8

=== debian/changelog ===
r-cran-spatstat.geom (3.2-8-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Thu, 01 Feb 2024 20:47:15 +0100

r-cran-spatstat.geom (3.2-7-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 24 Oct 2023 10:06:24 +0200

r-cran-spatstat.geom (3.2-5-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 12 Sep 2023 06:34:05 +0200

=== debian/control ===
Source: r-cran-spatstat.geom
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-spatstat.data (>= 3.0),
               r-cran-spatstat.utils (>= 3.0-2),
               r-cran-deldir (>= 1.0-2),
               r-cran-polyclip
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
Homepage: https://cran.r-project.org/package=spatstat.geom
Rules-Requires-Root: no

Package: r-cran-spatstat.geom
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R geometrical functionality of the 'spatstat' package
 This is a subset of the original 'spatstat' package, containing the user-
 level code from 'spatstat' which performs geometrical operations, except
 for the geometry of linear networks.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spatstat.random,
        r-cran-spatstat.explore,
        r-cran-spatstat.model,
        r-cran-spatstat.linnet,
        r-cran-spatial,
        r-cran-spatstat (>= 3.0)
Restrictions: allow-stderr

## r-cran-spatstat.geom 3.2-9

=== debian/changelog ===
r-cran-spatstat.geom (3.2-9-2) unstable; urgency=medium

  * Skip pkg-r-autopkgtest for the moment
    Closes: #1071523

 -- Andreas Tille <tille@debian.org>  Wed, 03 Jul 2024 07:16:33 +0200

r-cran-spatstat.geom (3.2-9-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 May 2024 16:28:15 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
-Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
@@ -11,7 +10,7 @@
                r-cran-spatstat.utils (>= 3.0-2),
                r-cran-deldir (>= 1.0-2),
                r-cran-polyclip
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
 Homepage: https://cran.r-project.org/package=spatstat.geom

## r-cran-spatstat.geom 3.3

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.geom
-Version: 3.2-4
-Date: 2023-07-20
+Version: 3.3-6
+Date: 2025-03-18
 Title: Geometrical Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -8,14 +8,16 @@
 		    comment = c(ORCID="0000-0001-9499-8382")),
 	     person("Rolf", "Turner", 
                     role = c("aut", "cph"),
- 	            email="r.turner@auckland.ac.nz",
+ 	            email="rolfturner@posteo.net",
 		    comment=c(ORCID="0000-0001-5521-5218")),
 	     person("Ege",   "Rubak", 
                     role = c("aut", "cph"),
 		    email = "rubak@math.aau.dk",
 		    comment=c(ORCID="0000-0002-6675-533X")),
+	     person("Warick",    "Brown" ,        role = "ctb"),
 	     person("Tilman",    "Davies",        role = "ctb"),
 	     person("Ute",       "Hahn",          role = "ctb"),
+	     person("Martin",    "Hazelton",      role = "ctb"),
 	     person("Abdollah",  "Jalilian",      role = "ctb"),
  	     person("Greg",      "McSwiggan",     role = c("ctb", "cph")),
  	     person("Sebastian", "Meyer",         role = c("ctb", "cph")),
@@ -24,13 +26,13 @@
 	     person("Dominic",   "Schuhmacher",   role = "ctb"),
 	     person("Rasmus",    "Waagepetersen", role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.0), stats, graphics,
-        grDevices, utils, methods
-Imports: spatstat.utils (>= 3.0-2), deldir (>= 1.0-2), polyclip (>=
-        1.10-0)
-Suggests: spatstat.random, spatstat.explore, spatstat.model,
-        spatstat.linnet, maptools (>= 0.9-9), spatial, fftwtools (>=
-        0.9-8), spatstat (>= 3.0)
+Depends: R (>= 3.5.0), spatstat.data (>= 3.1), spatstat.univar (>=
+        3.1), stats, graphics, grDevices, utils, methods
+Imports: spatstat.utils (>= 3.1-2), deldir (>= 1.0-2), polyclip (>=
+        1.10)
+Suggests: spatstat.random (>= 3.3), spatstat.explore (>= 3.3),
+        spatstat.model (>= 3.3), spatstat.linnet (>= 3.2), spatial,
+        fftwtools (>= 0.9-8), spatstat (>= 3.3)
 Description: Defines spatial data types and supports geometrical operations
 	     on them. Data types include point patterns, windows (domains),
 	     pixel images, line segment patterns, tessellations and hyperframes.
@@ -53,13 +55,15 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.geom/issues
-Packaged: 2023-07-20 05:34:58 UTC; adrian
+Packaged: 2025-03-18 00:10:50 UTC; adrian
 Author: Adrian Baddeley [aut, cre, cph]
     (<https://orcid.org/0000-0001-9499-8382>),
   Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
   Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>),
+  Warick Brown [ctb],
   Tilman Davies [ctb],
   Ute Hahn [ctb],
+  Martin Hazelton [ctb],
   Abdollah Jalilian [ctb],
   Greg McSwiggan [ctb, cph],
   Sebastian Meyer [ctb, cph],
@@ -68,4 +72,4 @@
   Dominic Schuhmacher [ctb],
   Rasmus Waagepetersen [ctb]
 Repository: CRAN
-Date/Publication: 2023-07-20 06:40:02 UTC
+Date/Publication: 2025-03-18 12:10:07 UTC

## r-cran-spatstat.geom 3.3-6

=== debian/changelog ===
r-cran-spatstat.geom (3.3-6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)

 -- Charles Plessy <plessy@debian.org>  Thu, 20 Mar 2025 10:23:56 +0900

r-cran-spatstat.geom (3.3-5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Testsuite: autopkgtest-pkg-r (routine-update)
  * Build-depend on r-cran-spatstat.univar.

 -- Charles Plessy <plessy@debian.org>  Fri, 31 Jan 2025 15:59:42 +0900

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,17 @@
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-spatstat.data (>= 3.0),
-               r-cran-spatstat.utils (>= 3.0-2),
+               r-cran-spatstat.data (>= 3.1),
+               r-cran-spatstat.univar,
+               r-cran-spatstat.utils (>= 3.1-2),
                r-cran-deldir (>= 1.0-2),
                r-cran-polyclip
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
 Homepage: https://cran.r-project.org/package=spatstat.geom

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem R

override_dh_fixperms:
	dh_fixperms
	find debian \( -name CITATION -o -name "*.txt" -o -name "*.Rd" -o -name Makefile -o -name "*.r" \) -exec chmod -x \{\} \;

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-spatstat.random (>= 3.3),
        r-cran-spatstat.explore (>= 3.3),
        r-cran-spatstat.model (>= 3.3),
        r-cran-spatstat.linnet (>= 3.2),
        r-cran-spatial,
        r-cran-spatstat (>= 3.3)
Restrictions: allow-stderr

## r-cran-spatstat.geom 3.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: spatstat.geom
-Version: 3.3-6
-Date: 2025-03-18
+Version: 3.7-0
+Date: 2026-01-20
 Title: Geometrical Functionality of the 'spatstat' Family
 Authors@R: c(person("Adrian", "Baddeley", 
                     role = c("aut", "cre", "cph"),
@@ -26,13 +26,13 @@
 	     person("Dominic",   "Schuhmacher",   role = "ctb"),
 	     person("Rasmus",    "Waagepetersen", role = "ctb"))
 Maintainer: Adrian Baddeley <Adrian.Baddeley@curtin.edu.au>
-Depends: R (>= 3.5.0), spatstat.data (>= 3.1), spatstat.univar (>=
-        3.1), stats, graphics, grDevices, utils, methods
-Imports: spatstat.utils (>= 3.1-2), deldir (>= 1.0-2), polyclip (>=
+Depends: R (>= 3.5.0), spatstat.data (>= 3.1-9), spatstat.univar (>=
+        3.1-5.002), stats, graphics, grDevices, utils, methods
+Imports: spatstat.utils (>= 3.2-1), deldir (>= 1.0-2), polyclip (>=
         1.10)
-Suggests: spatstat.random (>= 3.3), spatstat.explore (>= 3.3),
-        spatstat.model (>= 3.3), spatstat.linnet (>= 3.2), spatial,
-        fftwtools (>= 0.9-8), spatstat (>= 3.3)
+Suggests: spatstat.random (>= 3.4-3), spatstat.explore (>= 3.6),
+        spatstat.model (>= 3.5), spatstat.linnet (>= 3.4), spatial,
+        fftwtools (>= 0.9-8), spatstat (>= 3.5)
 Description: Defines spatial data types and supports geometrical operations
 	     on them. Data types include point patterns, windows (domains),
 	     pixel images, line segment patterns, tessellations and hyperframes.
@@ -55,11 +55,11 @@
 NeedsCompilation: yes
 ByteCompile: true
 BugReports: https://github.com/spatstat/spatstat.geom/issues
-Packaged: 2025-03-18 00:10:50 UTC; adrian
-Author: Adrian Baddeley [aut, cre, cph]
-    (<https://orcid.org/0000-0001-9499-8382>),
-  Rolf Turner [aut, cph] (<https://orcid.org/0000-0001-5521-5218>),
-  Ege Rubak [aut, cph] (<https://orcid.org/0000-0002-6675-533X>),
+Packaged: 2026-01-20 03:24:49 UTC; adrian
+Author: Adrian Baddeley [aut, cre, cph] (ORCID:
+    <https://orcid.org/0000-0001-9499-8382>),
+  Rolf Turner [aut, cph] (ORCID: <https://orcid.org/0000-0001-5521-5218>),
+  Ege Rubak [aut, cph] (ORCID: <https://orcid.org/0000-0002-6675-533X>),
   Warick Brown [ctb],
   Tilman Davies [ctb],
   Ute Hahn [ctb],
@@ -72,4 +72,4 @@
   Dominic Schuhmacher [ctb],
   Rasmus Waagepetersen [ctb]
 Repository: CRAN
-Date/Publication: 2025-03-18 12:10:07 UTC
+Date/Publication: 2026-01-20 09:50:03 UTC

## r-cran-spatstat.geom 3.7-0

=== debian/changelog ===
r-cran-spatstat.geom (3.7-0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 13 Feb 2026 11:46:27 +0900

=== debian/control ===
Source: r-cran-spatstat.geom
Standards-Version: 4.7.3
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders:
 Andreas Tille <tille@debian.org>,
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Build-Depends:
 debhelper-compat (= 13),
 dh-r,
 r-base-dev,
 r-cran-spatstat.data (>= 3.1-9),
 r-cran-spatstat.univar,
 r-cran-spatstat.utils (>= 3.2-1),
 r-cran-deldir,
 r-cran-polyclip,
 r-cran-spatstat.data (>= 3.1),
 r-cran-spatstat.utils (>= 3.1-2),
 architecture-is-64-bit,
 architecture-is-little-endian,
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-spatstat.geom.git
Homepage: https://cran.r-project.org/package=spatstat.geom
Rules-Requires-Root: no

Package: r-cran-spatstat.geom
Architecture: any
Depends:
 ${R:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 ${R:Recommends},
Suggests:
 ${R:Suggests},
Description: GNU R geometrical functionality of the 'spatstat' package
 This is a subset of the original 'spatstat' package, containing the user-
 level code from 'spatstat' which performs geometrical operations, except
 for the geometry of linear networks.

=== debian/tests/control ===
Tests: run-unit-test
Restrictions: allow-stderr
Depends:
 @,
 r-cran-spatstat.random (>= 3.4-3),
 r-cran-spatstat.explore (>= 3.6),
 r-cran-spatstat.model (>= 3.5),
 r-cran-spatstat.linnet (>= 3.4),
 r-cran-spatial,
 r-cran-fftwtools (>= 0.9-8),
 r-cran-spatstat (>= 3.5),
 r-cran-spatstat.random (>= 3.3),
 r-cran-spatstat.explore (>= 3.3),
 r-cran-spatstat.model (>= 3.3),
 r-cran-spatstat.linnet (>= 3.2),
 r-cran-spatstat (>= 3.3),
